import SwiftUI

struct {{ module_info.name }}Coordinator: View {
	@ObservedObject var store: CoordinatorStore<{{ module_info.name }}CoordinatorState>
	let factory: {{ module_info.name }}Factory

	var body: some View {
		Router($store.state.routes) { screen, _ in
			Group {
				switch screen {
				case .initial:
					Color.blue
				}
			}
		}
	}
}